#-----------------------------------------------
# Ambiente local/desarrollo/preprod/produccion 
#-----------------------------------------------
ambiente=preprod

#-----------------------------------------------
# Variables Generales
#-----------------------------------------------
database.jndi=${${ambiente}.database.jndi}
log4j.properties.location=${${ambiente}.log4j.properties.location}



#-----------------------------------------------
# Propiedades Produccion
#-----------------------------------------------
produccion.database.jndi=jdbc/DBDLA
produccion.log4j.properties.location=classpath:log4j.prod.properties
produccion.ruta.base=/home/scm/server/dda/%PROCESO%
produccion.bdu=DBDLA
produccion.bdp=12345678
produccion.bd.instancia=DBDLA


#-----------------------------------------------
# Propiedades Preproduccion
#-----------------------------------------------
preprod.database.jndi=jdbc/DBDLA
preprod.log4j.properties.location=classpath:log4j.pre.properties
preprod.ruta.base=/home/scm/server/dda/%PROCESO%
preprod.bdu=DBDLA
preprod.bdp=12345678
preprod.bd.instancia=DBDLA


#-----------------------------------------------
# Propiedades Desarrollo
#-----------------------------------------------
desarrollo.database.jndi=jdbc/DBDLA
desarrollo.log4j.properties.location=classpath:log4j.dev.properties
desarrollo.ruta.base=D:/archivos/%PROCESO%
desarrollo.bdu=DBDLA
desarrollo.bdp=12345678
desarrollo.bd.instancia=DBDLA


#-----------------------------------------------
# Propiedades Local
#-----------------------------------------------
local.database.jndi=jdbc/DBDLA
local.log4j.properties.location=classpath:log4j.local.properties
local.ruta.base=D:/archivos/%PROCESO%
local.bdu=DBDLA
local.bdp=12345678
local.bd.instancia=XE

#-----------------------------------------------
# Estatus del Contrato
#-----------------------------------------------
estatus.notificacion.sap=7
estatus.vigente=5
estatus.autorizado=4


#-----------------------------------------------
# Mensajes de errores
#-----------------------------------------------
error.proceso=Error en proceso

#-----------------------------------------------
# Valores varios
#-----------------------------------------------
tipo.contrato.suscripcion=1
tipo.contrato.licensefee=3
tipo.pago.escala=ESCALA
tipo.pago.flat=FLAT
cve.tipo.prom.12=PROM_12MESES
cve.tipo.prom.inifin=PROM_INICIO_FIN
cve.tipo.prom.mes.anterior=PROM_MES_ANT
cve.tipo.mes.actual=MES_ACTUAL
tipo.calculo.suscripcion=SUSCRIPCION
origen.real=REAL
origen.espejo=ESPEJO
estatus.titulo.activo=ACTIVO
modulo.amortizacion=AMORTIZACION
modulo.presupuesto=PRESUPUESTO
tipo.amortizacion.exclusividad=EXCLUSIVIDAD
tipo.amortizacion.lineal=LINEAL
tipo.annio.calendario=CALENDARIO
tipo.annio.contractual=CONTRACTUAL
separador.columnas=|
shell.carga.titulos=dda_procesarTitulos.sh
shell.carga.amortizacion=dda_procesaAmort.sh
shell.actualiza.idbv=dda_actualizaIdBv.sh
shell.procesa.reportes.cr=dda_crprocesarReportes.sh
shell.procesa.reportes=dda_procesarReportes.sh
shell.ejecutor=ejecutaShells.sh
shell.carga.tituloslf=dda_procesarTitulosLF.sh
shell.carga.titulostr=dda_procesarTitulosTR.sh
shell.carga.titulospn=dda_procesarTitulosPN.sh
shell.carga.titulosvs=dda_procesarTitulosVS.sh
proceso.cargaTitulos=cargaTitulos
proceso.amortizacion.contrato=amortizacionCnt
proceso.actualizacion.idbv=actualizaIdBV
proceso.reportes=sqlReportes
proceso.cargaTitulosLF=cargaTitulosLF
proceso.cargaTitulosTR=cargaTitulosTR
proceso.cargaTitulosPN=cargaTitulosPN
proceso.cargaTitulosVS=cargaTitulosVS
nombre.archivo.amortizacion=ddaAmortizacion
cve.sincronizacion.sap=DDA_SINCRONIZACION_SAP
dir.excel=/excel/
dir.data=/data/
dir.shells=/shells/


#-----------------------------------------------
# Encabezado Excel de Carga Titulos (CT)
#-----------------------------------------------
ct.columna.uno=NOMBRE UNICO
ct.columna.dos=NOMBRE ESTANDAR
ct.columna.tres=TEMPORADA
ct.columna.cuatro=EPISODIO
ct.columna.cinco=FECHA INICIO
ct.columna.seis=FECHA FIN
ct.columna.siete=CATEGORIA ESTUDIO
ct.columna.ocho=CATEGORIA
ct.columna.nueve=PRECIO
ct.columna.diez=ANUAL
ct.columna.once=BRIEFCASE
ct.columna.doce=ID BROADVIEW
ct.columna.trece=MESES EXCLUSIVO
ct.columna.catorce=PORCENTAJE EXCLUSIVO
ct.columna.quince=A\u00d1O CONTRATO

#-----------------------------------------------
# Encabezado Excel de Carga Titulos LicenseFee (LF)
#-----------------------------------------------
lf.columna.uno=NOMBRE UNICO
lf.columna.dos=NOMBRE ESTANDAR
lf.columna.tres=TEMPORADA
lf.columna.cuatro=EPISODIO
lf.columna.cinco=FECHA INICIO
lf.columna.seis=FECHA FIN
lf.columna.siete=CATEGORIA
lf.columna.ocho=BRIEFCASE
lf.columna.nueve=ID BROADVIEW

#-----------------------------------------------
# Encabezado Excel de Actualiza Id BroadView(AIB)
#-----------------------------------------------
aib.columna.uno=ID DDA
aib.columna.dos=ID BROADVIEW
aib.columna.tres=NOMBRE ESTANDAR

#-----------------------------------------------
# Encabezado Excel de Carga Titulos Transaccional (TR)
#-----------------------------------------------
tr.columna.uno=FILIAL
tr.columna.dos=ID BROADVIEW
tr.columna.tres=NOMBRE UNICO
tr.columna.cuatro=NOMBRE ESTANDAR
tr.columna.cinco=CATEGORIA
tr.columna.seis=TEMPORADA
tr.columna.siete=EPISODIO
tr.columna.ocho=HVRD
tr.columna.nueve=FECHA INICIO
tr.columna.diez=FECHA FIN
tr.columna.once=BOX OFFICE
tr.columna.doce=CATEGORIA DTR
tr.columna.trece=CATEGORIA DTO
tr.columna.catorce=BRIEFCASE
tr.columna.quince=DTR
tr.columna.deciseis=DTO
tr.columna.decisiete=SD
tr.columna.dieciocho=HD
tr.columna.diecinueve=3D
tr.columna.veinte=DURACION
tr.columna.veintiuno=ANIO
tr.columna.veintidos=GENERO A
tr.columna.veintitres=GENERO B
tr.columna.veinticuatro=NOMBRE ESPANOL
tr.columna.veinticinco=NOMBRE INGLES
tr.columna.veintiseis=NOMBRE PORTUGUES

#--------------------------------------------------------
# Encabezado Excel de Carga Titulos Plataforma y Net (PN)
#--------------------------------------------------------
pn.columna.uno=FILIAL
pn.columna.dos=ID PROGRAM
pn.columna.tres=TITULO
pn.columna.cuatro=MEDIO PAGO
pn.columna.cinco=ABONO
pn.columna.seis=PRECIO
pn.columna.siete=CANTIDAD
pn.columna.ocho=FORMATO

#--------------------------------------------------------
# Encabezado Excel de Carga Visualizaciones Suscripcion (VS)
#--------------------------------------------------------
vs.columna.uno=ID BROADVIEW
vs.columna.dos=TITULO
vs.columna.tres=VISUALIZACIONES
vs.columna.cuatro=MES

